%% Getting Psychophysical values
close all force; clear; clc
load('P123_Contingency_Data.mat')
savedata='P123_Psychophysical_Data'; 

angle_mag=[2 12 25 45];
cvals=angle_mag./90;
ind_contingency=squeeze(nansum(Contingency_All,4));
angles=size(ind_contingency,3);
conditions=size(ind_contingency,4);
sub_all=size(ind_contingency,5);

ind_contingency(5,:,:,:,:)=ind_contingency(5,:,:,:,:)./angles; % No change is common for all angles
ind_contingency(ind_contingency==0)=1/(2*angles); % 1/2n correction
 
for con=1:conditions
    for sub=1:sub_all
        cont=ind_contingency(:,:,:,con,sub);
        
        clear theta_est theta_err LLF ctable_mod ctable_fit
        [theta_est, theta_err, LLF, ctable_mod, ctable_fit] = mADC_model_fit(cont);
        theta_est_nofit(sub,:,con)=theta_est;
        theta_err_nofit(:,sub,con)=theta_err;
        LLF_nofit(sub,con)=LLF;
        ctable_mod_nofit{sub,con}=ctable_mod;
        ctable_nofit{sub,con}=ctable_fit;
        
        clear theta_est theta_err LLF ctable_mod ctable_fit
        [theta_est, theta_err, LLF, ctable_mod, ctable_fit] = mADC_model_fit_psyc(cont, cvals);
        theta_est_fit_psyc(sub,:,con)=theta_est;
        theta_err_fit_psyc(:,sub,con)=theta_err;
        LLF_fit_psyc(sub,con)=LLF;
        ctable_mod_fit_psyc{sub,con}=ctable_mod;
        ctable_fit_psyc{sub,con}=ctable_fit;
        
        clear cont
    end
end

clear theta_est theta_err LLF ctable_mod ctable_fit con sub cont

save(savedata)
