%% Making Data File

close all;clear;clc
mainpath=pwd; addpath(pwd)

load('P123_Contingency_Data');
load('P123_Psychophysical_Data');
load('rejectP123_60S.mat','Reject_details');

ET_Rejection_Subs=Reject_details(Reject_details(:,2)>0.25);
Common_Subs= [48; 51; 56; 57; 59; 60; 63; 72; 91];
Rejected_Subs=[ET_Rejection_Subs; Common_Subs];

excl_sub_ind=zeros(sub_all,1);
for sub=1:size(Reject_details,1)
    for excl_sub=1:length(Rejected_Subs)
        if Reject_details(sub,1)==Rejected_Subs(excl_sub)
            excl_sub_ind(sub)=1;
        end
    end
end
sub_uni=Reject_details(excl_sub_ind~=1,1);
sub_uni_ind=find(excl_sub_ind~=1);

Default_Conditions={'PC';'PE';'PL'}; % Precue, Post Early, post late
Default_Locations={'Cu';'Op';'Ip';'Co'}; % Cued, Opposite, Ipsilateral, Contralateral
conditions=length(Default_Conditions);
locations=length(Default_Locations);
max_blocks=6; max_trials=60;

dp_tmp=theta_est_nofit(:,1:locations*angles,:);
dprime=permute(reshape(dp_tmp,sub_all,locations,angles,conditions),[2 3 4 1]);
avg_dp=squeeze(mean(dprime,2));
criteria=permute(theta_est_nofit(:,locations*angles+1:end,:),[2 3 1]);
cc_bias=criteria-squeeze(mean(dprime,2)./2);
cr_tmp=reshape(repmat(criteria,angles,1),locations,angles,conditions,sub_all);
lr_bias=squeeze(1./mean(exp(dprime.*(cr_tmp-dprime./2)),2));

Participants(:,1)=sub_uni_ind;
Participants(:,2)=sub_uni;
Participants(:,3)=Reject_details(sub_uni_ind,2);

sub_final=Participants(:,1);
sub_tot=length(sub_final);

final_grandtable=cell(sub_tot,conditions);
ind_grandtable=nan(max_trials*max_blocks,6,conditions,sub_tot);
for con=1:conditions
    for sub=1:sub_tot
        for blk=1:max_blocks
            final_grandtable{sub,con}(max_trials*(blk-1)+1:max_trials*blk,:)=Grandtable_All(:,:,blk,con,sub_final(sub));
            ind_grandtable(max_trials*(blk-1)+1:max_trials*blk,:,sub,con)=Grandtable_All(:,:,blk,con,sub_final(sub));
        end
    end
end
ind_contingency=permute(squeeze(nansum(Contingency_All(:,:,:,:,:,sub_final),4)),[1 2 3 5 4]);

RT_vals=nan(locations,24,sub_tot,conditions);
Ang_vals=nan(locations,24,sub_tot,conditions);
Cor_vals=nan(locations,conditions,sub_tot);
% Grandtable 1: Index, 2: Cue Location, 3: Change Location 4: Response, 5:
% Response  Time, % Angle, Note: Cartesian quadrants

chng_loc = [1 2 3 4];
phys_loc = [1 2 3 4; % Cued
    3 4 1 2; % Oppo
    4 3 2 1; % Ipsi
    2 1 4 3];% Contra

for con=1:conditions
    for sub=1:size(final_grandtable,1)
        cnt=zeros(locations,1);
        for i=1:size(final_grandtable{sub,con},1)
            for j=1:locations
                if final_grandtable{sub,con}(i,3) == j 
                    if sum((double(final_grandtable{sub,con}(i,2) == chng_loc) + double(final_grandtable{sub,con}(i,4) == phys_loc(j,:)))==2)==1
                        cnt(j)=cnt(j)+1;
                        Ang_vals(j,cnt(j),sub,con)=final_grandtable{sub,con}(i,6);
                        RT_vals(j,cnt(j),sub,con)=final_grandtable{sub,con}(i,5);
                    end
                end
            end
        end
        Cor_vals(:,con,sub)=cnt;
    end
end

RT_temp=reshape(permute(RT_vals,[3 2 1 4]),sub_tot,locations*conditions*24); 
Ang_temp=reshape(permute(Ang_vals,[3 2 1 4]),sub_tot,locations*conditions*24);
RT_temp_avg=nanmean(RT_temp,2);
RT_temp_std=nanstd(RT_temp,0,2);
for i=1:size(RT_temp,1)
    for j=1:size(RT_temp,2)
        if RT_temp(i,j)>RT_temp_avg(i)+3*RT_temp_std(i) || RT_temp(i,j)<RT_temp_avg(i)-3*RT_temp_std(i)
            RT_temp(i,j)=nan;
            Ang_temp(i,j)=nan;
        end
    end
end

RT_tr_avg=squeeze(nanmedian(reshape(RT_temp',24,locations,conditions,sub_tot)));
RT_tr_var=squeeze(nanvar(reshape(RT_temp',24,locations,conditions,sub_tot)));
RT_tr_var(RT_tr_var==0)=nan;

RT_temp0=reshape(RT_temp',24,locations,conditions,sub_tot);
Ang_temp0=reshape(Ang_temp',24,locations,conditions,sub_tot);
RT_tr_ang_vals=zeros(locations,length(angle_mag),conditions,sub_tot);
Cnt_ang_vals=zeros(locations,length(angle_mag),conditions,sub_tot);
for sub=1:size(RT_temp0,4)
    for con=1:size(RT_temp0,3)
        for loc=1:size(RT_temp0,2)
            for tr=1:size(RT_temp0,1)
                temp_ind=find(Ang_temp0(tr,loc,con,sub)==angle_mag);
                RT_tr_ang_vals(loc,temp_ind,con,sub)=RT_tr_ang_vals(loc,temp_ind,con,sub)+RT_temp0(tr,loc,con,sub);
                Cnt_ang_vals(loc,temp_ind,con,sub)=Cnt_ang_vals(loc,temp_ind,con,sub)+1;
            end
        end
    end
end
RT_tr_ang_vals(RT_tr_ang_vals==0)=nan;
RT_ang_vals=RT_tr_ang_vals./Cnt_ang_vals;

ind_avg_rt=permute(RT_tr_avg,[1 3 2]);
ind_rt=permute(RT_ang_vals,[1 2 4 3]);
ind_avg_dp=permute(avg_dp(:,:,sub_final),[1 3 2]);
ind_dp=permute(dprime(:,:,:,sub_final),[1 2 4 3]);
ind_criteria=permute(criteria(:,:,sub_final),[1 3 2]);
ind_cc=permute(cc_bias(:,:,sub_final),[1 3 2]);
ind_lr=permute(lr_bias(:,:,sub_final),[1 3 2]);

clearvars -except   Contingency_All     Grandtable_All ...
                    ind_contingency     ind_grandtable ...
                    angle_mag           Default_Locations   Default_Conditions ...
                    angles              locations           conditions ...
                    ind_rt              ind_avg_rt ...
                    ind_dp              ind_avg_dp ...
                    ind_criteria        ind_cc              ind_lr ...
                    Participants        sub_final           sub_tot ...

save('P123_Gen_Data45')
