function [ Contingency, Response ] = make_contingency( Grandtable, AngleMag )

Contingency = zeros(5,5,length(AngleMag));
Response = zeros(5,5,length(AngleMag));

% Build 5x5 contingency
for i = 1:length(Grandtable)
    a= Grandtable(i,3);
    if a==0 % NC trial
        if Grandtable(i,4)==0 % NC Response 
            Contingency(5,5,:)=Contingency(5,5,:)+1; % Correct Rejection
            Response(5,5,:)=Response(5,5,:)+Grandtable(i,5);
        else
            if Grandtable(i,2)==Grandtable(i,4) % Valid Response
                Contingency(5,1,:)=Contingency(5,1,:)+1; % Valid FA
                Response(5,1,:)=Response(5,1,:)+Grandtable(i,5);
            elseif (Grandtable(i,2)==1 && Grandtable(i,4)==3) || (Grandtable(i,2)==2 && Grandtable(i,4)==4)||(Grandtable(i,2)==3 && Grandtable(i,4)==1)||(Grandtable(i,2) == 4 && Grandtable(i,4) == 2) 
                Contingency(5,2,:) = Contingency(5,2,:) + 1; % Opposite Response Opposite FA
                Response(5,2,:)=Response(5,2,:)+Grandtable(i,5);
            elseif (Grandtable(i,2) == 1 && Grandtable(i,4) == 4) || (Grandtable(i,2) == 2 && Grandtable(i,4) == 3) || (Grandtable(i,2) == 3 && Grandtable(i,4) == 2) || (Grandtable(i,2) == 4 && Grandtable(i,4) == 1) 
                Contingency(5,3,:) = Contingency(5,3,:) + 1; % Ipsi Response Ipsi FA
                Response(5,3,:)=Response(5,3,:)+Grandtable(i,5);
            elseif (Grandtable(i,2) == 1 && Grandtable(i,4) == 2) || (Grandtable(i,2) == 2 && Grandtable(i,4) == 1) || (Grandtable(i,2) == 3 && Grandtable(i,4) == 4) || (Grandtable(i,2) == 4 && Grandtable(i,4) == 3) 
                Contingency(5,4,:) = Contingency(5,4,:) + 1; % Contra Response Contra FA
                Response(5,4,:)=Response(5,4,:)+Grandtable(i,5);
            end
        end
    else % Change trials
        for j=1:length(AngleMag)
            if Grandtable(i,end) == AngleMag(j) % Find angle
                if Grandtable(i,2)== Grandtable(i,4) % Cue Response Match
                    Contingency(a,1,j) = Contingency(a,1,j)+1;  % a = 1 for valid; 2 for opposite; 3 for ipsi; 4 for contra
                    Response(a,1,j)=Response(a,1,j)+Grandtable(i,5);
                elseif (Grandtable(i,2) == 1 && Grandtable(i,4) == 3) || (Grandtable(i,2) == 2 && Grandtable(i,4) == 4) || (Grandtable(i,2) == 3 && Grandtable(i,4) == 1) || (Grandtable(i,2) == 4 && Grandtable(i,4) == 2) 
                    Contingency(a,2,j) = Contingency(a,2,j) + 1; % Opposite response
                    Response(a,2,j)=Response(a,2,j)+Grandtable(i,5);
                elseif (Grandtable(i,2) == 1 && Grandtable(i,4) == 4) || (Grandtable(i,2) == 2 && Grandtable(i,4) == 3) || (Grandtable(i,2) == 3 && Grandtable(i,4) == 2) || (Grandtable(i,2) == 4 && Grandtable(i,4) == 1) 
                    Contingency(a,3,j) = Contingency(a,3,j) + 1; % Ipsi response
                    Response(a,3,j)=Response(a,3,j)+Grandtable(i,5);
                elseif (Grandtable(i,2) == 1 && Grandtable(i,4) == 2) || (Grandtable(i,2) == 2 && Grandtable(i,4) == 1) || (Grandtable(i,2) == 3 && Grandtable(i,4) == 4) || (Grandtable(i,2) == 4 && Grandtable(i,4) == 3) 
                    Contingency(a,4,j) = Contingency(a,4,j) + 1; % Contra response
                    Response(a,4,j)=Response(a,4,j)+Grandtable(i,5);
                elseif  Grandtable(i,4) == 0
                    Contingency(a,5,j) = Contingency(a,5,j) + 1; % Misses
                    Response(a,5,j)=Response(a,5,j)+Grandtable(i,5);
                end
            end
        end
    end
end

end

