function [pval, chisq_dat, chisq_rnd, Or_list] = rand_test(Oi, Ei, niter,min_chi)
%tic
if ~exist('niter', 'var')
    niter = 1e4;
end

%Oi(Oi == 0) = 0.5; 
Ei(Ei == 0) = 0.5;

Oi = round(Oi);
% from Ei get pi, which is the model Oi is being compared against
ntr = repmat(sum(Ei, 2)', size(Ei, 2),1)';

pi  = Ei./ntr;
nOs = sum(Oi, 2);

for i = 1:size(Ei, 1),
    cumprs(i,:) = [0, cumsum(pi(i,:))];
end

chisq_dat = sum(((Oi(:)-Ei(:)).^2)./Ei(:));
chisq_rnd = zeros(niter, 1);

zEi = zeros(size(Ei));

Or_list = cell(1,niter);
for iter = 1:niter,
    
    Or = zEi;
    
    for i = 1:size(Ei,1),
    
        cprs = cumprs(i,:);
        rv   = rand(nOs(i), 1); % random #s corresponding to # observations
        
        n = histc(rv, cprs);
        Or(i, :) = n(1:end-1);
        
    end

    Or_list{iter}   = Or;
    chisq_rnd(iter) = sum(((Or(:)-Ei(:)).^2)./Ei(:));
end

pval = sum(chisq_rnd >= min_chi);
%pval = sum(chisq_dat >= chisq_rnd)/niter;


%toc
%keyboard


% Ei = round (1000*rand(5));
% 
% Xi = rand(5);
% Xi = Xi - repmat(mean(Xi, 2)', 5, [])';
% Xi = round(300*Xi);
% 
% Oi = Ei + Xi;
% Oi = max(Oi, 0);
