close all; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

ylabel_string={'Hit Rate'};
axis_vector=[-5 50 0 90];

%% Psychometric Results
denom=squeeze(sum(ind_contingency,2));
ind_pc=zeros(locations,angles,sub_tot,conditions);
for con=1:conditions
    for sub=1:sub_tot
        for loc=1:locations
            for angl=1:length(angle_mag)
                ind_pc(loc,angl,sub,con)=ind_contingency(loc,loc,angl,sub,con)./denom(loc,angl,sub,con).*100;
            end
        end
    end
end

%%
sub_avg_pc=squeeze(nanmean(ind_pc,3));
sub_std_pc=squeeze(nanstd(ind_pc,0,3))./sqrt(sub_tot);
av_val=sub_avg_pc;
sd_val=sub_std_pc;

%% Location-wise curves HIT RATE

marker=['o';'^';'v'];
mkr_offset=[-1.1 0 1.1];
lnstylopts={'-','--',':'};
LOCS=Default_Locations;
col=hsv(locations);
loc_order=[1 4 3 2];  % For plotting; Cued,Contra,Ipsi,Opposite
suptitle_string=sprintf('%s - %d Subjects', ylabel_string{1} , sub_tot);
legend_string={'PC','HR','PE', 'HR','PL','HR'};
pos=[0.075; 0.55; 0.075; 0.55];
pos(:,2)=[0.65; 0.65; 0.1; 0.1];
pos(:,3)=0.30;
pos(:,4)=0.40;

figure;set(gcf,'renderer','Painters', 'Position', [100 50 700 850]);
for loc=1:locations
    subplot(2,2,loc_order(loc))
    for con=1:conditions
        graph_plot_psychometric(angle_mag,av_val(loc,:,con), col(loc,:),lnstylopts{con},0.5);
        errorbar(angle_mag+mkr_offset(con), av_val(loc,:,con), sd_val(loc,:,con),  ...
            'Color',col(loc,:),'LineStyle','None','LineWidth',0.5,'CapSize',0, ...
            'Marker',marker(con),'MarkerEdgeColor',col(loc,:),'MarkerFaceColor','w','MarkerSize',6);
        hold on;
    end
    title(LOCS{loc});
    axis(axis_vector);
    xlabel('\Delta\theta')
    ylabel(ylabel_string{1})
    xticks(0:20:40)
    yticks(0:20:60)
    set(gca, 'FontSize', 10.5)
    h=legend(legend_string,'location','eastoutside');
    set(h,'FontSize',8);
    set(gca, 'Position', pos(loc_order(loc),:))
end
suptitle(suptitle_string);