close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

ylabel_string={'FA Rate'};
axis_vector=[0 4 0 35]; 

%% Psychometric Results
denom=squeeze(sum(ind_contingency,2));
ind_pfa=zeros(locations,sub_tot,conditions);
for con=1:conditions
    for sub=1:sub_tot
        for loc=1:locations
            ind_pfa(loc,sub,con)=ind_contingency(5,loc,1,sub,con)./denom(5,1,sub,con).*100;
        end
    end
end

%%
sub_avg_pfa=squeeze(nanmean(ind_pfa,2));
sub_std_pfa=squeeze(nanstd(ind_pfa,0,2))./sqrt(sub_tot);
test_an=ind_pfa;
av_val=sub_avg_pfa;
sd_val=sub_std_pfa;

%% Bar Plots FALSE ALARM

lnstylopts={'-','--',':'};
LOCS=Default_Locations;
COND=Default_Conditions;
col=hsv(locations);
loc_order=[1 4 3 2];  % For plotting; Cued,Contra,Ipsi,Opposite
suptitle_string=sprintf('%s - %d Subjects', ylabel_string{1} , sub_tot);

G1=repmat(LOCS,1,sub_tot,conditions);
G2=permute(repmat(COND,1,locations,sub_tot),[2 3 1]);
G3=permute(repmat(sub_final,1,locations,conditions),[2 1 3]);
[~,~,stats,~] = anovan(test_an(:),{G1(:),G2(:),G3(:)},'random',3, ...
    'model','interaction', 'varnames',{'Loc','Cond','Sub'});
figure; results=multcompare(stats,'Dimension',[1 2]);

for i=1:size(results,1)
    for loc=0:locations-1
        if mod(results(i,1),locations)==loc && mod(results(i,2),locations)==loc
            p_values_temp(i)=results(i,6);
        end
    end
end
p_val_temp=p_values_temp(p_values_temp~=0);
p_values=[reshape(p_val_temp(1:8),2,locations)',p_val_temp(9:12)'];
p_val_mc=p_values;
p_val_mc(p_val_mc>0.05)=1;

figure;set(gcf,'renderer','Painters', 'Position', [100 50 450 700]);
for loc=1:locations
    subplot(2,2,loc_order(loc))
    for con=1:conditions
        bar(con,av_val(loc,con),'FaceColor','white','EdgeColor',col(loc,:),'Linewidth',0.5,'LineStyle',lnstylopts{con});
        hold on;
    end
    errorbar(1:conditions,av_val(loc,:),sd_val(loc,:),'Color',col(loc,:),'LineStyle','None','LineWidth',0.5,'CapSize',0)
    title(LOCS{loc})
    yticks(0:10:30)
    xticks(1:conditions)
    set(gca,'xticklabel',COND,'Fontsize',8)
    ylabel(ylabel_string,'FontSize',12)
    sigstar({[1,2],[1,3],[2,3]},p_val_mc(loc,:))
    axis(axis_vector)  
end
suptitle(suptitle_string)