close all; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

ylabel_string={'d'''};
axis_vector=[-0.05 0.55 -0.15 2.5];

%%
ind_contingency(5,:,:,:,:)=ind_contingency(5,:,:,:,:)./angles; % No change is common for all angles
pooled_contingency=squeeze(sum(ind_contingency,4));
cvals=angle_mag./90;
for con=1:conditions
    [theta_est{con}, theta_err{con}, LLF{con}, ctable_mod{con}, ctable_fit{con}] = mADC_model_fit(pooled_contingency(:,:,:,con));
    [theta_est_psyc{con}, theta_err_psyc{con}, LLF_psyc{con}, ctable_mod_psyc{con}, ctable_fit_psyc{con}] = mADC_model_fit_psyc(pooled_contingency(:,:,:,con), cvals);
end

for con=1:conditions
    pooled_dp(:,:,con)=reshape(theta_est{con}(1:locations*length(angle_mag)),locations,length(angle_mag));
end
std_dp=squeeze(std(ind_dp,0,3))./sqrt(sub_tot); 

%% Psychophysical Plots

marker=['o';'^';'v'];
mkr_offset=[-0.01 0 0.01];
lnstylopts={'-','--',':'};
LOCS=Default_Locations;
col=hsv(locations);
loc_order=[1 4 3 2];  % For plotting; Cued,Contra,Ipsi,Opposite
suptitle_string=sprintf('%s - %d Subjects', ylabel_string{1} , sub_tot);
legend_string={'PC','d''','PE', 'd''','PL','d'''};
pos=[0.075; 0.55; 0.075; 0.55];
pos(:,2)=[0.65; 0.65; 0.1; 0.1];
pos(:,3)=0.30;
pos(:,4)=0.40;

figure; set(gcf,'renderer','Painters', 'Position', [100 50 700 850]);
for loc=1:locations
    for con=1:conditions
       subplot(2,2,loc_order(loc))
       hold on
       All_fit_psyc(:,:,con)=reshape(theta_est_psyc{con},locations,length(angle_mag));
       graph_plot_psychophysical(All_fit_psyc((loc),:,con),cvals,con,loc,lnstylopts,col,0.5)
       errorbar(cvals+mkr_offset(con),pooled_dp(loc,:,con), std_dp(loc,:,con) , ... []
       'Color',col(loc,:),'LineStyle','None','LineWidth',0.5,'CapSize',0, ...
       'Marker',marker(con),'MarkerEdgeColor',col(loc,:),'MarkerFaceColor','w','MarkerSize',6);
    end
    hold on
    title(LOCS{loc})
    axis(axis_vector)
    xticks([0 20/90 40/90])
    yticks(0:2)
    xlabel('\Delta\theta');
    ylabel(ylabel_string{1});
    set(gca, 'FontSize', 10.5)
    h_legend=legend(legend_string,'Location','eastoutside');
    set(h_legend,'FontSize',8);
    set(gca, 'Position', pos(loc_order(loc),:))
end
suptitle(suptitle_string);