close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

%% Set Param
param=ind_cc;
param_label={'\Delta cc'};

delcon=param(:,:,1)-param(:,:,2); % PC-PE
conditions=size(delcon,3);
COND={'AE'};
x_scatter=delcon(3,:); % Ip
y_scatter=delcon(1,:); % Cu
locations=size(y_scatter,1);
LOCS={'Cu';'Ip'};
sub_tot=size(delcon,2);
ylabel_string={sprintf('%s - %s',param_label{1},LOCS{1}); sprintf('%s - %s',param_label{1},LOCS{2})};
suptitle_string=sprintf('%s vs %s - %d Subjects',ylabel_string{1},ylabel_string{2},sub_tot);

%%
[rho,~,pval]=bendcorr(x_scatter,y_scatter,0);
[slp]=polyfit(x_scatter,y_scatter,1);

%%
fig_dim=[100 50 500 450];
axis_vector=[-1.75 3.25 -1.75 3.25];
ytick_vector=(-1.5:1.5:3);
xtick_vector=(-1.5:1.5:3);
figure;  set(gcf,'renderer','Painters', 'Position', fig_dim);
for con=1:conditions
    subplot(1,conditions,con)
    hold on
    plot(axis_vector(1:2),axis_vector(1:2)*slp(1)+slp(2),'Color',[0.5 0.5 0.5])
    scatter(x_scatter,y_scatter,50,'MarkerFaceColor','w','MarkerEdgeColor','k','Marker','o','LineWidth',0.5);
    h=legend('',sprintf(' rho = %0.2f \n pval = %0.2f',round(rho(con),2),round(pval(con),2)));
    h.FontSize=8;
    legend('location','eastoutside')
    axis(axis_vector)
    xticks(xtick_vector)
    yticks(ytick_vector)
    axis('square');
    ylabel(ylabel_string{1})
    xlabel(ylabel_string{2})
    title(COND{con})
end
suptitle(suptitle_string)