close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

COND={'AE'};
LOCS=Default_Locations;
col=hsv(locations); 
loc_order=[1 4 3 2]; % For plotting; Cued,Contra,Ipsi,Opposite
ylabel_string='\Deltad''';
xlabel_string='\Deltacc';
suptitle_string=sprintf('%s %s vs %s - %d Subjects', COND{1}, ylabel_string, xlabel_string,  sub_tot);

%%
param_y=ind_avg_dp; 
param_x=ind_cc;

y_scatter=param_y(:,:,1)-param_y(:,:,2); % PC-PE
x_scatter=param_x(:,:,1)-param_x(:,:,2); % PC-PE

for loc=1:locations
    [rho(loc),~,pval(loc)]=bendcorr(x_scatter(loc,:),y_scatter(loc,:),0);
end

[~,~,~,~,nosigpvalsind] = multiple_comparisons_correction(pval(:),'Benjaminihochberg');
p_val_corr_mc=pval;
p_val_corr_mc(nosigpvalsind)=1;

axis_vector=[-2.5 3.5 -2.5 3.5];
ytick_vector=-2:2:2;
xtick_vector=-2:2:2;

figure;  set(gcf,'renderer','Painters', 'Position', [100 50 850 500]);
for loc=1:locations
    subplot(2,2,loc_order(loc))
        hold on
    plot([axis_vector(1) axis_vector(2)],[0, 0],'b')
    plot([0 0],[axis_vector(3) axis_vector(4)],'b')
    scatter(x_scatter(loc,:),y_scatter(loc,:),40,'MarkerFaceColor','w','MarkerEdgeColor',col(loc,:),'Marker','o','LineWidth',0.5);
    title(sprintf('%s',LOCS{loc}));
    h=legend('','',sprintf(' rho = %0.3f \n pval = %0.3f',round(rho(loc),2),round(pval(loc),2)));
    h.FontSize=8;
    legend('location','eastoutside')
    axis(axis_vector)
    axis('square');
    xticks(xtick_vector)
    yticks(ytick_vector)
    ylabel(sprintf('%s',ylabel_string))
    xlabel(sprintf('%s',xlabel_string))
end
suptitle(suptitle_string)
