close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

%%
LOCS=Default_Locations;
COND={'AE'};
col=hsv(locations); 
loc_order=[1 4 3 2]; % For plotting; Cued,Contra,Ipsi,Opposite
ylabel_string='\sigma';
xlabel_string={'\Deltad''';'\Deltacc'};
suptitle_string=sprintf('%s - %d Subjects', COND{1},  sub_tot);

delcon_dp_loc=ind_avg_dp(:,:,1)-ind_avg_dp(:,:,2); % dp PC-PE
delcon_cc_loc=ind_cc(:,:,1)-ind_cc(:,:,2); % cc PC-PE

av_val(:,1)=squeeze(nanmean(delcon_dp_loc,2));
sd_val(:,1)=squeeze(nanstd(delcon_dp_loc,0,2)./sqrt(sub_tot));
av_val(:,2)=squeeze(nanmean(delcon_cc_loc,2));
sd_val(:,2)=squeeze(nanstd(delcon_cc_loc,0,2)./sqrt(sub_tot));

for loc=1:locations
    p_values(loc,1)=signrank(delcon_dp_loc(loc,:));
    p_values(loc,2)=signrank(delcon_cc_loc(loc,:));
end

types=size(p_values,2);
for typ=1:types
    [p,~,~,~,nosigpvalsind] = multiple_comparisons_correction(p_values(:,typ),'Benjaminihochberg'); 
    p(nosigpvalsind)=1;
    p_val_mc(:,typ)=p';
end

%%
figure; set(gcf,'renderer','Painters', 'Position', [50 50 350 600])
for loc=1:locations
    subplot(2,2,loc_order(loc))
    bar(1:types,av_val(loc,:),'FaceColor','white','EdgeColor',col(loc,:),'Linewidth',0.5);
    hold on
    title(sprintf('%s',LOCS{loc}))
    errorbar(1:types,av_val(loc,:),sd_val(loc,:),'Color',col(loc,:),'LineStyle','None','LineWidth',0.5,'CapSize',0)
    xticks(1:types)
    set(gca,'xticklabel',xlabel_string,'Fontsize',8)
    ylabel(ylabel_string,'FontSize',12)
    sigstar({[0.7,1.3],[1.7,2.3]},p_val_mc(loc,:))
    axis([0 types+1 -0.5 0.4])
    yticks(-0.3:0.3:0.3)
end
suptitle(suptitle_string)