close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

total_trials=120;
change_ratio=4;
no_change_ratio=1;
change_trials_loc=2e2;

str_t=1e-3;
step_t=1e-3;
deltaT=1e-3;
stp_t=2;

k=1e-3; 
offset=2;
z=1;

xl1=zeros(length(str_t:step_t:stp_t), change_trials_loc, locations, conditions, sub_tot);
xl2=zeros(length(str_t:step_t:stp_t), change_trials_loc, locations, conditions, sub_tot);
xl3=zeros(length(str_t:step_t:stp_t), change_trials_loc, locations, conditions, sub_tot);
xl4=zeros(length(str_t:step_t:stp_t), change_trials_loc, locations, conditions, sub_tot);
xrt_l1=nan(change_trials_loc, locations, conditions, sub_tot);
xrt_l2=nan(change_trials_loc, locations, conditions, sub_tot);
xrt_l3=nan(change_trials_loc, locations, conditions, sub_tot);
xrt_l4=nan(change_trials_loc, locations, conditions, sub_tot);
fix_loc_mat=[2 3 4; 1 3 4; 1 2 4; 1 2 3];

for sub=1:sub_tot
    for con=1:conditions
        for loc=1:locations
            for tr=1:change_trials_loc
                tstep=str_t; cnt=2;
                while tstep<stp_t
                    xl1(cnt,tr,loc,con,sub)=xl1(cnt-1,tr,loc,con,sub) + (ind_avg_dp(loc,sub,con)-ind_criteria(loc,sub,con)+offset)*deltaT + k*randn;
                    xl2(cnt,tr,loc,con,sub)=xl2(cnt-1,tr,loc,con,sub) + k*randn;
                    xl3(cnt,tr,loc,con,sub)=xl3(cnt-1,tr,loc,con,sub) + k*randn;
                    xl4(cnt,tr,loc,con,sub)=xl4(cnt-1,tr,loc,con,sub) + k*randn;
                    fix_loc=fix_loc_mat(loc,:);
                    if xl1(cnt,tr,loc,con,sub)> z
                        xrt_l1(tr,loc,con,sub)=tstep;
                        break
                    elseif xl2(cnt,tr,loc,con,sub)> z
                        xrt_l2(tr,loc,con,sub)=tstep;
                        break
                    elseif xl3(cnt,tr,loc,con,sub)> z
                        xrt_l3(tr,loc,con,sub)=tstep;
                        break
                    elseif xl4(cnt,tr,loc,con,sub)> z
                        xrt_l4(tr,loc,con,sub)=tstep;
                        break
                    end
                    tstep=tstep+step_t; cnt=cnt+1;
                end
            end
        end
    end
end

xrt_trav=permute(nanmean(xrt_l1,1),[2 4 3 1]);
xrt_trav(xrt_trav==0)=nan;
sub_avg_xrt=squeeze(nanmean(xrt_trav,2));
sub_avg_rt=squeeze(nanmean(ind_avg_rt,2));
xrt_trav_n=xrt_trav./nansum(xrt_trav,1).*nansum(ind_avg_rt,1);

%% Plotting Related
LOCS=Default_Locations;
COND={'AE'};
col=hsv(locations); 
loc_order=[1 4 3 2]; % For plotting; Cued,Contra,Ipsi,Opposite
ylabel_string='s';
xlabel_string={'\DeltaRT';'sim\DeltaRT'};
suptitle_string=sprintf('%s - %d Subjects', COND{1},  sub_tot);

delcon_rt_loc=ind_avg_rt(:,:,1)-ind_avg_rt(:,:,2); % RT PC-PE
delcon_xrt_loc=xrt_trav_n(:,:,1)-xrt_trav_n(:,:,2); % sim RT PC-PE

av_val(:,1)=squeeze(nanmean(delcon_rt_loc,2));
sd_val(:,1)=squeeze(nanstd(delcon_rt_loc,0,2)./sqrt(sub_tot));
av_val(:,2)=squeeze(nanmean(delcon_xrt_loc,2));
sd_val(:,2)=squeeze(nanstd(delcon_xrt_loc,0,2)./sqrt(sub_tot));

for loc=1:locations
    p_values(loc,1)=signrank(delcon_rt_loc(loc,:));
    p_values(loc,2)=signrank(delcon_xrt_loc(loc,:));
end

types=size(p_values,2);
for typ=1:types
    [p,~,~,~,nosigpvalsind] = multiple_comparisons_correction(p_values(:,typ),'Benjaminihochberg'); 
    p(nosigpvalsind)=1;
    p_val_mc(:,typ)=p';
end

%%
figure; set(gcf,'renderer','Painters', 'Position', [50 50 350 600])
for loc=1:locations
    subplot(2,2,loc_order(loc))
    bar(1:types,av_val(loc,:),'FaceColor','white','EdgeColor',col(loc,:),'Linewidth',0.5);
    hold on
    title(sprintf('%s',LOCS{loc}))
    errorbar(1:types,av_val(loc,:),sd_val(loc,:),'Color',col(loc,:),'LineStyle','None','LineWidth',0.5,'CapSize',0)
    xticks(1:types)
    set(gca,'xticklabel',xlabel_string,'Fontsize',8)
    ylabel(ylabel_string,'FontSize',12)
    sigstar({[0.7,1.3],[1.7,2.3]},p_val_mc(loc,:))
    axis([0 types+1 -0.25 0.25])
    yticks(-0.1:0.1:0.1)
end
suptitle(suptitle_string)