close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

COND={'AE'};
LOCS=Default_Locations;
col=hsv(locations); 
ylabel_string='\DeltaRT';
xlabel_string='\Deltacc';
suptitle_string=sprintf('%s %s vs %s - %d Subjects', COND{1}, ylabel_string, xlabel_string,  sub_tot);

%%
param_y=ind_avg_rt; 
param_x=ind_cc;

y_scatter=param_y(:,:,1)-param_y(:,:,2); % PC-PE
x_scatter=param_x(:,:,1)-param_x(:,:,2); % PC-PE

[rho,~,pval]=bendcorr(x_scatter(:),y_scatter(:),0);

[sub_nan]=find(sum(isnan(y_scatter),1)); % Some subjects may have no entries for a particular location and condition
y_scatter(:,sub_nan)=[];
x_scatter(:,sub_nan)=[];
[slp]=polyfit(x_scatter(:),y_scatter(:),1);

[~,~,~,~,nosigpvalsind] = multiple_comparisons_correction(pval(:),'Benjaminihochberg');
p_val_corr_mc=pval;
p_val_corr_mc(nosigpvalsind)=1;

axis_vector=[-1.5 1.1 -1.2 2.2];
xtick_vector=-1.2:0.6:0.6;
ytick_vector=-1:1:2;

figure;  set(gcf,'renderer','Painters', 'Position', [100 50 550 450]);
plot(axis_vector(1:2),axis_vector(1:2)*slp(1)+slp(2),'Color',[0.5 0.5 0.5])
hold on
for loc=1:locations
    scatter(x_scatter(loc,:),y_scatter(loc,:),40,'MarkerFaceColor',col(loc,:),'MarkerEdgeColor',col(loc,:),'Marker','o','LineWidth',0.5);
    axis(axis_vector)
    axis('square');
    xticks(xtick_vector)
    yticks(ytick_vector)
    ylabel(sprintf('%s',ylabel_string))
    xlabel(sprintf('%s',xlabel_string))
end
h=legend(sprintf(' rho = %0.3f \n pval = %0.3f',round(rho,2),round(pval,2)),LOCS{1},LOCS{2},LOCS{3},LOCS{4});
h.FontSize=8;
legend('location','eastoutside')
suptitle(suptitle_string)
