close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

ind_contingency(5,:,:,:,:)=ind_contingency(5,:,:,:,:)./angles; % No change is common for all angles
pooled_contingency=squeeze(sum(ind_contingency,4));
cvals=angle_mag./90;
for con=1:conditions
    [theta_est{con}, theta_err{con}, LLF{con}, ctable_mod{con}, ctable_fit{con}] = mADC_model_fit(pooled_contingency(:,:,:,con));
end

for con=1:conditions
    for ang=1:angles
        Observed_Cont(:,:,ang,con)=ctable_mod{con}{ang};
        Predicted_Cont(:,:,ang,con)=ctable_fit{con}{ang};
    end
end

%% Normalization

Obs_norm=Observed_Cont./sum(Observed_Cont,2);
Pred_norm=Predicted_Cont./sum(Predicted_Cont,2);

%% 
COND=Default_Conditions;
mrk_typ={'o';'^';'v'};
figure; set(gcf,'renderer','Painters', 'Position', [20 50 1400 400])
for con=1:conditions
    subplot(1,conditions,con)
    plot([5e-3 1], [5e-3 1],'--k','LineWidth',0.5);
    hold on
    tO=Obs_norm(:,:,:,con); tP=Pred_norm(:,:,:,con);
    scatter(tO(:),tP(:),100,'Marker',mrk_typ{con},'MarkerEdgeColor','k','MarkerFaceColor','w','LineWidth',0.25)
    axis square
    axis([5e-3 1 5e-3 1])
    set(gca, 'XScale', 'log', 'YScale', 'log')
    xticks([1e-2 1e-1 1])
    yticks([1e-2 1e-1 1])
    title(COND{con})
    ylabel('Fitted Prop.')
    xlabel('Observed Prop.')
end
suptitle('Fitted vs Observed Contingency')