close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')
load('P123_Psychophysical_Data.mat','ctable_mod_nofit','ctable_nofit')

%%
niter = 1e5; % use 1e3 or 1e4 for quick checks; 1e5 or 1e6 for reporting in manuscripts
chi_sqr_angle=nan(sub_tot,conditions,angles);
individual_pval=nan(sub_tot,conditions,angles);
individual_cd2=nan(sub_tot,conditions,angles);
individual_cr=cell(sub_tot,conditions,angles);

for sub = 1:sub_tot
    for con=1:conditions
        for angl = 1:length(angle_mag)
            csq_d = chi_test(ctable_mod_nofit{sub_final(sub),con}{1,angl}, ...
                ctable_nofit{sub_final(sub),con}{1,angl}, niter);            
            chi_sqr_angle(sub,con,angl) = csq_d;            
            [pv, csq_d2, csq_r] = rand_test_new(ctable_mod_nofit{sub_final(sub),con}{1,angl}, ...
                ctable_nofit{sub_final(sub),con}{1,angl}, niter,csq_d);            
            individual_pval(sub,con,angl) = pv;
            individual_cd2(sub,con,angl) = csq_d2;
            individual_cr{sub,con,angl} = csq_r;
        end        
        clear csq_r csq_d csq_d2 pv
    end
end
Sumpval = sum(individual_pval,3);
Avgpval = Sumpval./(niter*angles);

min_pval=round(min(Avgpval,[],1),2);
max_pval=round(max(Avgpval,[],1),2);
med_pval=round(median(Avgpval,1),2);

%% Plotting

COND=Default_Conditions;
figure; set(gcf,'renderer','Painters', 'Position', [100 250 600 250])
for con=1:conditions
    subplot(1,conditions,con)
    histogram(Avgpval(:,con),10,'FaceColor','w','EdgeColor','k')
    title(COND{con})
    axis([0 1 0 17])
    yticks(0:6:12)
    axis square
    ylabel('# Subjects')
    xlabel('p-value')
end
suptitle('Randomization test p-values')    