close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

ylabel_string={'CR Rate'};
axis_vector=[0 4 30 50];

%% Psychometric Results
denom=squeeze(sum(ind_contingency,2));
ind_pcr=zeros(locations,angles,sub_tot,conditions);
for con=1:conditions
    for sub=1:sub_tot
        for loc=locations+1 % no change percent correct
            for angl=1:length(angle_mag)
                ind_pcr(loc,angl,sub,con)=ind_contingency(loc,loc,angl,sub,con)./denom(loc,angl,sub,con).*100;
            end
        end
    end
end

%%
sub_avg_pcr=squeeze(nanmean(ind_pcr(5,1,:,:),3));
sub_std_pcr=squeeze(nanstd(ind_pcr(5,1,:,:),0,3))./sqrt(sub_tot);

test_an=squeeze(ind_pcr(5,1,:,:))';
av_val=sub_avg_pcr;
sd_val=sub_std_pcr;

lnstylopts={'-','--',':'};
COND=Default_Conditions;
suptitle_string=sprintf('%s - %d Subjects', ylabel_string{1} , sub_tot);

G1=repmat(COND,1,sub_tot);
G2=permute(repmat(sub_final(1:sub_tot),1,conditions),[2 1]);
[~,~,stats,~] = anovan(test_an(:),{G1(:),G2(:)},'random',2, ...
     'varnames',{'Cond','Sub'});
figure; results=multcompare(stats,'Dimension',1);
p_values=results(:,6);
p_val_mc=p_values;
p_val_mc(p_val_mc>0.05)=1;

%% Bar Plots CORRECT REJECTION

figure;set(gcf,'renderer','Painters', 'Position', [100 50 300 400]);
for con=1:conditions
    bar(con,av_val(con),'FaceColor','white','EdgeColor','k','Linewidth',0.5,'LineStyle',lnstylopts{con});
    hold on
end
errorbar(1:conditions,av_val,sd_val,'Color','k','LineStyle','None','LineWidth',0.5,'CapSize',0)
xticks(1:conditions)
yticks(30:10:40)
set(gca,'xticklabel',COND,'Fontsize',8)
ylabel(ylabel_string,'FontSize',12)
sigstar({[1,2],[1,3],[2,3]},p_val_mc)
axis(axis_vector)
suptitle(suptitle_string)