close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

axis_vector=[0 3 -16 2];
ytick_vector=(-10:5:0);

%% Psychometric Results
denom=squeeze(sum(ind_contingency,2));
ind_pcr=zeros(locations,angles,sub_tot,conditions);
for con=1:conditions
    for sub=1:sub_tot
        for loc=locations+1 % no change percent correct
            for angl=1:length(angle_mag)
                ind_pcr(loc,angl,sub,con)=ind_contingency(loc,loc,angl,sub,con)./denom(loc,angl,sub,con).*100;
            end
        end
    end
end

%%
param_label={'\Delta CR'};
param=squeeze(ind_pcr(5,1,:,:));

delcon=param(:,[1 2])-param(:,[2 3]); % PC-PE; PE-PL
conditions=size(delcon,2);
COND={'AE','VE'};
lnstylopts={'-','-.'};
ylabel_string=param_label{1};
suptitle_string=sprintf('%s - %d Subjects', ylabel_string,  sub_tot); %%%%

%%
clear p_values
for con=1:conditions
    p_values(con)=signrank(delcon(:,con));
end
av_val=squeeze(nanmean(delcon,1));
sd_val=squeeze(nanstd(delcon,0,1)./sqrt(sub_tot));

[~,~,~,~,nosigpvalsind] = multiple_comparisons_correction(p_values(:),'Benjaminihochberg');
p_val_mc=p_values;
p_val_mc(nosigpvalsind)=1;

%% Plotting
figure; set(gcf,'renderer','Painters', 'Position', [100 50 280 400])
for con=1:conditions
    bar(con,av_val(con),'FaceColor','white','EdgeColor','k','Linewidth',0.5,'LineStyle',lnstylopts{con});
    hold on;
end
errorbar(1:conditions,av_val(:),sd_val(:),'Color','k','LineStyle','None','LineWidth',0.5,'CapSize',0)
xticks(1:conditions)
set(gca,'xticklabel',COND,'Fontsize',8)
ylabel(ylabel_string,'FontSize',12)
sigstar({[0.7,1.3],[1.7,2.3]},p_val_mc(:))
axis(axis_vector)
yticks(ytick_vector)
suptitle(suptitle_string)
