close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

axis_vector=[0 3 -0.85 0.45];
ytick_vector=(-0.6:0.3:0.3);

%% Protocol 1 - Full Contrast
sub_sel=1:15;  %%%%%%%
param=ind_avg_dp(:,sub_sel,:);
delcon=param(:,:,[1 2])-param(:,:,[2 3]); % PC-PE; PE-PL
conditions=size(delcon,3);
COND={'AE','VE'};
lnstylopts={'-','-.'};
LOCS=Default_Locations;
sub_tot=size(delcon,2);
col=hsv(locations); 
loc_order=[1 4 3 2]; % For plotting; Cued,Contra,Ipsi,Opposite
param_label={'\Delta d'''};
ylabel_string=param_label{1};
suptitle_string=sprintf('%s P1 - %d Subjects', ylabel_string,  sub_tot); %%%%

clear p_values
for loc=1:locations
    for con=1:conditions
        p_values_P1(loc,con)=signrank(delcon(loc,:,con));
    end
end
av_val_P1=squeeze(nanmean(delcon,2));
sd_val_P1=squeeze(nanstd(delcon,0,2)./sqrt(sub_tot));

[~,~,~,~,nosigpvalsind] = multiple_comparisons_correction(p_values_P1(:),'Benjaminihochberg');
p_val_mc_P1=p_values_P1;
p_val_mc_P1(nosigpvalsind)=1;

%% Plotting
figure; set(gcf,'renderer','Painters', 'Position', [100 50 450 700])
for loc=1:locations
    subplot(2,2,loc_order(loc))
    for con=1:conditions
        bar(con,av_val_P1(loc,con),'FaceColor','white','EdgeColor',col(loc,:),'Linewidth',0.5,'LineStyle',lnstylopts{con});
        hold on;
    end
    title(sprintf('%s',LOCS{loc}))
    errorbar(1:conditions,av_val_P1(loc,:),sd_val_P1(loc,:),'Color',col(loc,:),'LineStyle','None','LineWidth',0.5,'CapSize',0)
    xticks(1:conditions)
    set(gca,'xticklabel',COND,'Fontsize',8)
    ylabel(ylabel_string,'FontSize',12)
    sigstar({[0.7,1.3],[1.7,2.3]},p_val_mc_P1(loc,:))
    axis(axis_vector)
    yticks(ytick_vector)
end
suptitle(suptitle_string)
