close all force; clear; clc
mainpath=pwd; addpath(pwd)

%%
load('Half_Cont_Psyc45.mat')

for sub=1:sub_tot
    for con=1:conditions
        dp_1(:,:,con,sub)=reshape(theta_est_1(sub,1:locations*angles,con),locations,angles);
        dp_2(:,:,con,sub)=reshape(theta_est_2(sub,1:locations*angles,con),locations,angles);
    end
end

dpav_1=squeeze(mean(dp_1(:,2:angles,:,:),2)); %%%% select angles
dpav_2=squeeze(mean(dp_2(:,2:angles,:,:),2)); %%%% select angles

ndp=dpav_1-dpav_2;
Dndp=ndp(:,[1 2],:)-ndp(:,[2 3],:);

%% Set Param
COND={'AE';'VE'};
conditions=length(COND);
LABELS={'\Deltad''';'\Deltacc'};
fig_dim=[50 50 1000 350];

trgt=Dndp; lbl_idx=1;

Cued=squeeze(trgt(1,:,:));
Uncu=squeeze(nanmean(trgt(2:4,:,:),1));

%%
for con=1:conditions
    [rho(con),~,pval(con)]=bendcorr(Uncu(con,:),Cued(con,:),0);
    [slp(con,:)]=polyfit(Cued(con,:),Uncu(con,:),1);
end

%%
axis_vector=[-0.4 0.4 -0.55 0.55];
figure;  set(gcf,'renderer','Painters', 'Position', fig_dim);
for con=1:conditions
    subplot(1,conditions,con)
    hold on
    plot(axis_vector(1:2),axis_vector(1:2)*slp(1)+slp(2),'Color',[0.5 0.5 0.5])
    scatter(Uncu(con,:),Cued(con,:),50,'MarkerFaceColor','w','MarkerEdgeColor','k','Marker','o','LineWidth',0.5);
    h=legend('',sprintf(' rho = %0.2f \n pval = %0.2f',round(rho(con),2),round(pval(con),2)));
    h.FontSize=8;
    legend('location','eastoutside')
    axis(axis_vector)
    xticks(-0.3:0.3:0.3)
    yticks(-0.4:0.4:0.4)
    axis('square');
    ylabel(sprintf('Cued %s',LABELS{lbl_idx}'))
    xlabel(sprintf('Uncu %s',LABELS{lbl_idx}'))
    title(COND{con})
end
suptitle(sprintf('Split Block Analysis : %s - %d Subjects',LABELS{lbl_idx},sub_tot))
