close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

%%
param_label={'d'' Cu-Uncu'};
param=ind_avg_dp;

delloc=param(1,:,:)-nanmean(param([2 3 4],:,:),1); % PC-PE; PE-PL
conditions=size(delloc,3);
COND=Default_Conditions;
lnstylopts={'-','--','-.'};
ylabel_string=param_label{1};
suptitle_string=sprintf('%s - %d Subjects', ylabel_string,  sub_tot); %%%%

%%
clear p_values
for con=1:conditions
    p_values(con)=signrank(delloc(1,:,con));
end

av_val=squeeze(nanmean(delloc,2));
sd_val=squeeze(nanstd(delloc,0,2)./sqrt(sub_tot));

[~,~,~,~,nosigpvalsind] = multiple_comparisons_correction(p_values(:),'Benjaminihochberg');
p_val_mc=p_values;
p_val_mc(nosigpvalsind)=1;

%% Plotting
axis_vector=[0 4 -0.8 0.15];
ytick_vector=(-0.6:0.3:0);
figure; set(gcf,'renderer','Painters', 'Position', [100 50 350 400])
for con=1:conditions
    bar(con,av_val(con),'FaceColor','w','EdgeColor','k','Linewidth',0.5,'LineStyle',lnstylopts{con});
    hold on;
end
errorbar(1:conditions,av_val(:),sd_val(:),'Color','k','LineStyle','None','LineWidth',0.5,'CapSize',0)
xticks(1:conditions)
set(gca,'xticklabel',COND,'Fontsize',8)
ylabel(ylabel_string,'FontSize',12)
sigstar({[0.7,1.3],[1.7,2.3],[2.7 3.3]},p_val_mc(:))
axis(axis_vector)
yticks(ytick_vector)
suptitle(suptitle_string)