close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

%%
param_label={'\delta cc'};
param=ind_cc;

delloc(1,:,:)=param(1,:,:)-param(3,:,:); % PC-PE; PE-PL
delloc(2,:,:)=param(1,:,:)-nanmean(param([2 4],:,:),1); % PC-PE; PE-PL
conditions=size(delloc,3);
COND=Default_Conditions;
locations=size(delloc,1);
LOCS={'Cu-Ip';'Cu-Coav'};
lnstylopts={'-','--','-.'};
ylabel_string=param_label{1};
suptitle_string=sprintf('%s - %d Subjects', ylabel_string,  sub_tot); %%%%

%%
clear p_values
for loc=1:locations
    for con=1:conditions
        p_values(loc,con)=signrank(delloc(loc,:,con));
    end
end

av_val=squeeze(nanmean(delloc,2));
sd_val=squeeze(nanstd(delloc,0,2)./sqrt(sub_tot));

[~,~,~,~,nosigpvalsind] = multiple_comparisons_correction(p_values(:),'Benjaminihochberg');
p_val_mc=p_values;
p_val_mc(nosigpvalsind)=1;

%% Plotting
axis_vector=[0 4 -0.55 0.0];
ytick_vector=(-0.4:0.2:0);
figure; set(gcf,'renderer','Painters', 'Position', [100 50 650 400])
for loc=1:locations
    subplot(1,locations,loc)
    for con=1:conditions
        bar(con,av_val(loc,con),'FaceColor','w','EdgeColor','k','Linewidth',0.5,'LineStyle',lnstylopts{con});
        hold on;
    end
    errorbar(1:conditions,av_val(loc,:),sd_val(loc,:),'Color','k','LineStyle','None','LineWidth',0.5,'CapSize',0)
    xticks(1:conditions)
    set(gca,'xticklabel',COND,'Fontsize',8)
    ylabel(ylabel_string,'FontSize',12)
    sigstar({[0.7,1.3],[1.7,2.3],[2.7 3.3]},p_val_mc(loc,:))
    axis(axis_vector)
    yticks(ytick_vector)
end
suptitle(suptitle_string)
