close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

%%
param_label={'cc-Cu-Ip','cc-Cu-Co'};
param=ind_cc;

COND={'PE';'PL'};
conditions=length(COND);
ylabel_string=param_label;
suptitle_string=sprintf('cc Cu-Ip vs Cu-Co - %d Subjects',  sub_tot);

%%
x_scatter=param(1,:,2:3)-param(3,:,2:3); % Cu-Co
y_scatter=param(1,:,2:3)-param(4,:,2:3); % Cu-Ip

for con=1:conditions
    [rho(con),~,pval(con)]=bendcorr(x_scatter(1,:,con),y_scatter(1,:,con),0);
    [slp(con,:)]=polyfit(x_scatter(1,:,con),y_scatter(1,:,con),1);
end

%%
fig_dim=[0 50 900 350];
axis_vector=[-3 1.5 -3 1.5];
ytick_vector=(-2.4:1.2:1.2);
xtick_vector=(-2.4:1.2:1.2);
mrk_typ={'^';'v'};
figure;  set(gcf,'renderer','Painters', 'Position', fig_dim);
for con=1:conditions
    subplot(1,conditions,con)
    hold on
    plot(axis_vector(1:2),axis_vector(1:2)*slp(con,1)+slp(con,2),'Color',[0.5 0.5 0.5])
    scatter(x_scatter(1,:,con),y_scatter(1,:,con),50,'MarkerFaceColor','w','MarkerEdgeColor','k','Marker',mrk_typ{con},'LineWidth',0.5);
    h=legend('',sprintf(' rho = %0.2f \n pval = %0.2f',round(rho(con),2),round(pval(con),2)));
    h.FontSize=8;
    legend('location','eastoutside')
    axis(axis_vector)
    xticks(xtick_vector)
    yticks(ytick_vector)
    axis('square');
    ylabel(ylabel_string{1})
    xlabel(ylabel_string{2})
    title(COND{con})
end
suptitle(suptitle_string)