close all force; clear; clc
mainpath=pwd; addpath(pwd)

%%
load('Half_Cont_Psyc45')
for sub=1:sub_tot
    for con=1:conditions
        dp_1(:,:,con,sub)=reshape(theta_est_1(sub,1:locations*angles,con),locations,angles);
        dp_2(:,:,con,sub)=reshape(theta_est_2(sub,1:locations*angles,con),locations,angles);
        crit_1(:,con,sub)=theta_est_1(sub,locations*angles+1:end,con)';
        crit_2(:,con,sub)=theta_est_2(sub,locations*angles+1:end,con)';
    end
end
cc_bias_1=crit_1-squeeze(mean(dp_1,2))./2;
cc_bias_2=crit_2-squeeze(mean(dp_2,2))./2;

dpav_1=squeeze(mean(dp_1(:,2:angles,:,:),2)); %%%% select angles
dpav_2=squeeze(mean(dp_2(:,2:angles,:,:),2)); %%%% select angles

ndp=dpav_1-dpav_2;
ncc=cc_bias_1-cc_bias_2;

LOCS=Default_Locations;
loc_order=[1 4 3 2];
col=hsv(locations);
for loc=1:locations
    DAEdp(loc,:)=squeeze(ndp(loc,1,:)-ndp(loc,2,:));
    DAEcc(loc,:)=squeeze(ncc(loc,1,:)-ncc(loc,2,:));
    [rho(loc),~,pval(loc)]=bendcorr(DAEdp(loc,:),DAEcc(loc,:),0);
end

%%
axis_vector=[-0.5 0.6 -0.55 0.75];
figure;  set(gcf,'renderer','Painters', 'Position', [100 50 1000 850]);
for loc=1:locations
    subplot(2,2,loc_order(loc))
        hold on
    plot([axis_vector(1) axis_vector(2)],[0, 0],'b')
    plot([0 0],[axis_vector(3) axis_vector(4)],'b')
    scatter(DAEcc(loc,:),DAEdp(loc,:),50,'MarkerFaceColor','w','MarkerEdgeColor',col(loc,:),'Marker','o','LineWidth',0.5);
    h=legend('','',sprintf(' rho = %0.2f \n pval = %0.2f',round(rho(loc),2),round(pval(loc),2)));
    h.FontSize=8;
    legend('location','eastoutside')
    axis(axis_vector)
    xticks(-0.4:0.4:0.4)
    yticks(-0.4:0.4:0.4)
    axis('square');
    ylabel('DAEd''')
    xlabel('DAEcc')
    title(LOCS{loc})
end
suptitle('DAEd'' vs DAEcc - 45 Subjects')

