close all force; clear; clc
mainpath=pwd; addpath(pwd)
load('P123_Gen_Data45')

%% Attentional Effect

LOCS=Default_Locations;
COND={'AE'};
delcon_rt_loc=ind_avg_rt(:,:,1)-ind_avg_rt(:,:,2); % RT PC-PE
delcon_dp_loc=ind_avg_dp(:,:,1)-ind_avg_dp(:,:,2); % dp PC-PE
delcon_cc_loc=ind_cc(:,:,1)-ind_cc(:,:,2); % cc PC-PE

delcon_rt=delcon_rt_loc(:);
delcon_dp=delcon_dp_loc(:);
delcon_cc=delcon_cc_loc(:);

%% Main
clear D_mat
[D_mat] = x2fx([delcon_dp,delcon_cc], 'Linear'); D_mat(:,1) = [];
[B_coeff] = ridge(delcon_rt, D_mat, 0);

%% Significance Tests
iter=1e3;
g0=delcon_rt;
clear idx
for i=1:iter
    idx(:,i)=randperm(locations*sub_tot)';
    g1(:,i)=delcon_dp(idx(:,i));
    g2(:,i)=delcon_cc(idx(:,i));
    clear D_mat
    [D_mat] = x2fx([g1(:,i),g2(:,i)], 'Linear'); D_mat(:,1) = [];
    [B_coeff_dist(:,i)] = ridge(g0, D_mat, 0);
end
clear idx g0 g1 g2 D_mat

pval_1=sum(B_coeff_dist(1,:)<B_coeff(1),2)./iter;
pval_2=sum(B_coeff_dist(2,:)<B_coeff(2),2)./iter;

%% Jackknife errorbars
for sub=1:sub_tot
    idx(sub,:)=find((1:sub_tot)-sub~=0);   
    y=delcon_rt_loc(:,idx(sub,:));
    x1=delcon_dp_loc(:,idx(sub,:)); 
    x2=delcon_cc_loc(:,idx(sub,:));
    [D_mat] = x2fx([x1(:),x2(:)], 'Linear'); D_mat(:,1) = [];
    [B_coeff_l1o(:,sub)] = ridge(y(:), D_mat, 0);
    clear D_mat
end
sd_val=std(B_coeff_l1o,0,2).*sqrt(sub_tot);

%% Plotting
xlabel_string={'\betad''';'\betacc'};
figure; set(gcf,'renderer','Painters', 'Position', [100 50 250 300])
bar(1:2,B_coeff,'FaceColor','white','EdgeColor','k','Linewidth',0.5);
hold on
title('Predication analysis \betas')
errorbar(1:2,B_coeff,sd_val,'Color','k','LineStyle','None','LineWidth',0.5,'CapSize',0)
set(gca,'xticklabel',xlabel_string,'Fontsize',8)
sigstar({[0.7,1.3],[1.7,2.3]},[pval_1 pval_2])
axis([0 3 -0.12 0.05])
yticks(-0.08:0.04:0)

